Webseiten
GET https://flowlite.eu/api/websites/
curl --request GET \
--url 'https://flowlite.eu/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://flowlite.eu/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| search | Optional String | Suchbegriff. |
| search_by | Optional String | Feld, in dem gesucht wird. Erlaubte Werte: name, host. |
| is_enabled | Optional Integer | |
| tracking_type | Optional String | Erlaubte Werte: normal, lightweight |
| order_by | Optional String | Feld, nach dem sortiert wird. Erlaubte Werte: website_id, datetime, last_datetime, name, host, current_month_sessions_events. |
| order_type | Optional String | Sortierreihenfolge: ASC (aufsteigend) oder DESC (absteigend). |
| page | Optional Integer | Seitenzahl der Ergebnisse (Standard: 1). |
| results_per_page | Optional Integer | Anzahl Ergebnisse pro Seite. Erlaubte Werte: 10 , 25 , 50 , 100 , 250 , 500 , 1000 (Standard: 25). |
{
"data": [
{
"id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "normal",
"excluded_ips": "",
"outbound_clicks_is_enabled": false,
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"is_enabled": true,
"datetime": "2026-04-14 04:27:31",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://flowlite.eu/api/websites?page=1",
"last": "https://flowlite.eu/api/websites?page=1",
"next": null,
"prev": null,
"self": "https://flowlite.eu/api/websites?page=1"
}
}
GET https://flowlite.eu/api/websites/{website_id}
curl --request GET \
--url 'https://flowlite.eu/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://flowlite.eu/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"pixel_key": "1234567890123456",
"name": "Localhost",
"scheme": "https://",
"host": "example.com",
"path": "/",
"tracking_type": "normal",
"excluded_ips": "",
"outbound_clicks_is_enabled": false,
"events_children_is_enabled": false,
"sessions_replays_is_enabled": false,
"email_reports_is_enabled": false,
"email_reports_last_date": "2020-06-23 19:01:22",
"bot_exclusion_is_enabled": true,
"query_parameters_tracking_is_enabled": true,
"ip_storage_is_enabled": false,
"public_statistics_is_enabled": false,
"public_statistics_password": false,
"is_enabled": true,
"datetime": "2026-04-14 04:27:31",
"last_datetime": null
}
}
POST https://flowlite.eu/api/websites
| Parameter | Details | Beschreibung |
|---|---|---|
| domain_id | Optional Integer | - |
| name | Erforderlich String | - |
| scheme | Optional String | Erlaubte Werte: http://, https:// |
| host | Erforderlich String | Beispiel: beispiel.de/pfad. |
| tracking_type | Optional String | Erlaubte Werte: lightweight, normal |
| excluded_ips | Optional String | IPs vom Tracking ausschließen (kommagetrennt). |
| outbound_clicks_is_enabled | Optional Boolean | |
| events_children_is_enabled | Optional Boolean | Tracking von Besucher-Events (Klicks, Formulare etc.). Werte: 0 oder 1. Nur für normal Tracking. |
| sessions_replays_is_enabled | Optional Boolean | Session Replays. Werte: 0 oder 1. Nur für normal Tracking. |
| sessions_replays_hide_text_selector | Optional String | |
| email_reports_is_enabled | Optional Boolean | E-Mail-Berichte aktivieren. Werte: 0 oder 1. |
| query_parameters_tracking_is_enabled | Optional Boolean | - |
| bot_exclusion_is_enabled | Optional Boolean | - |
| public_statistics_is_enabled | Optional Boolean | - |
| public_statistics_password | Optional String | - |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://flowlite.eu/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'name=Example' \
--url 'https://flowlite.eu/api/websites' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=website.com' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
POST https://flowlite.eu/api/websites/{website_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| domain_id | Optional Integer | - |
| name | Optional String | - |
| scheme | Optional String | Erlaubte Werte: http://, https:// |
| host | Optional String | Beispiel: beispiel.de/pfad. |
| excluded_ips | Optional String | IPs vom Tracking ausschließen (kommagetrennt). |
| outbound_clicks_is_enabled | Optional Boolean | |
| events_children_is_enabled | Optional Boolean | Tracking von Besucher-Events (Klicks, Formulare etc.). Werte: 0 oder 1. Nur für normal Tracking. |
| sessions_replays_is_enabled | Optional Boolean | Session Replays. Werte: 0 oder 1. Nur für normal Tracking. |
| sessions_replays_hide_text_selector | Optional String | |
| email_reports_is_enabled | Optional Boolean | E-Mail-Berichte aktivieren. Werte: 0 oder 1. |
| query_parameters_tracking_is_enabled | Optional Boolean | - |
| bot_exclusion_is_enabled | Optional Boolean | - |
| public_statistics_is_enabled | Optional Boolean | - |
| public_statistics_password | Optional String | - |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://flowlite.eu/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
--url 'https://flowlite.eu/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://flowlite.eu/api/websites/{website_id}
curl --request DELETE \
--url 'https://flowlite.eu/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://flowlite.eu/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \